Subject: bug#24947: ssh not working with ido

From: Colin Baxter <[email-masked]>
Date: Thu, 17 Nov 2016 14:26:18 +0000

17.11.2016, 14:09, "Michael Albinus" <[email-masked]>:
> Colin Baxter <[email-masked]> writes:
>
> Hi Colin,
>
>>  Your patch works for me using ssh. I have ssh'd to a remote file and
>>  remote directory successfully. However, for ftp I get the error:
>>  'tramp-file-name-handler: Host name must not match method "ftp"', and
>>  for telnet I get the error: 'tramp-file-name-handler: Host name must
>>  not match method "telnet"'.
>
> I cannot reproduce it locally, the scenario works for telnet and
> ftp. Could you, pls, run the following:
>
> # emacs -Q -f ido-mode --eval "(setq tramp-verbose 10)"
>
> Then enter "C-x C-f /telnet:". The error shall appear now. There will be
> a Tramp debug buffer; pls send it.
>
>>  Best wishes,
>>
>>  Colin.
>
> Best regards, Michael.

---- Begin debug tramp/scp telnet ---
;; Emacs: 26.0.50.1 Tramp: 2.3.1-pre -*- mode: outline; -*-
;; Location: /home/redknight/git/emacs/lisp/net/tramp.elc Git: 6653bb45d3697c9372cc77773c49f52399740b51
14:20:29.210805 tramp-check-proper-method-and-host (10) # 
  backtrace()
  tramp-error([#("scp" 0 3 (tramp-default t)) nil "telnet" "rainmaker.wunderground.com" nil] user-error "Host name must not match method \"%s\"" "telnet")
  apply(tramp-error [#("scp" 0 3 (tramp-default t)) nil "telnet" "rainmaker.wunderground.com" nil] user-error "Host name must not match method \"%s\"" "telnet")
  tramp-check-proper-method-and-host([#("scp" 0 3 (tramp-default t)) nil "telnet" "rainmaker.wunderground.com" nil])
  tramp-maybe-open-connection([#("scp" 0 3 (tramp-default t)) nil "telnet" "rainmaker.wunderground.com" nil])
  tramp-send-command([#("scp" 0 3 (tramp-default t)) nil "telnet" "rainmaker.wunderground.com" nil] "cd ~ && pwd")
  tramp-sh-handle-expand-file-name("/telnet:rainmaker.wunderground.com" nil)
  apply(tramp-sh-handle-expand-file-name ("/telnet:rainmaker.wunderground.com" nil))
  tramp-sh-file-name-handler(expand-file-name "/telnet:rainmaker.wunderground.com" nil)
  apply(tramp-sh-file-name-handler expand-file-name ("/telnet:rainmaker.wunderground.com" nil))
  tramp-file-name-handler(expand-file-name "/telnet:rainmaker.wunderground.com" nil)
  expand-file-name("/telnet:rainmaker.wunderground.com" nil)
  apply(expand-file-name ("/telnet:rainmaker.wunderground.com" nil))
  tramp-completion-run-real-handler(expand-file-name ("/telnet:rainmaker.wunderground.com" nil))
  tramp-completion-file-name-handler(expand-file-name "/telnet:rainmaker.wunderground.com" nil)
  expand-file-name("/telnet:rainmaker.wunderground.com")
  find-file-noselect("/telnet:rainmaker.wunderground.com" nil nil)
  ido-file-internal(raise-frame)
  ido-find-file()
  funcall-interactively(ido-find-file)
  call-interactively(ido-find-file nil nil)
  command-execute(ido-find-file)
14:20:29.211176 tramp-check-proper-method-and-host (1) # , Host name must not match method "telnet"
----- End debug tramp/scp telnet ---

Hope this helps. 

Colin.